Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 20 Aug 2014, 18:32
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Wary Puppy 5.2.2, 18 Nov. 2011
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 9 of 25 [361 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 23, 24, 25 Next
Author Message
broomdodger


Joined: 09 May 2008
Posts: 269
Location: Santa Cruz, CA

PostPosted: Mon 17 Oct 2011, 15:19    Post subject: wary 5.2 pmusic 2.1.8 playlists change  

wary 5.2 pmusic 2.1.8 is the first time I have tried pmusic.

Strange things happen with playlists, they change after quiting pmusic and restarting!

I went back to wary 5.1.4.1 and did all the same initialization to pmusic 1.8.3 and the playlists seem stable.

The following is some info I could gather:

" -------1---------2---------3---------4---------5---------6----
wary 5.2
pmusic 2.1.8 also 2.1.9

+ index
+ add jazz to playlist 1 (5 pieces)
+ add classical to playlist 2 (3 pieces)
+ add rock to playlist 3 (4 pieces)
! all play ok

quit pmusic
restart pmusic
playlists have changed! Playlist 1 is now Playlist 2.

Could this have something to do with the newer gtkdialog or ffmpeg in wary 5.2?

# pmusic -D
Dependencies
R E Q U I R E D
bash [OK]
coreutils [OK]
awk [OK]
sed [OK]
gtkdialog >= 0.7.21 [MISSING]
ffmpeg >= 0.8 /usr/local/pmusic/pmusic: line 162: [: git: integer expression expected
[MISSING]
aplay (alsa) [OK]

R E C O M M E N D E D
libid3tag (meta-tagging) [OK]
cdda2wav (play/rip audio-CD) [OK]
wget (connection to www) [OK]

O P T I O N A L
Pburn (burning audio-CD) [OK]
Pschedule (podcast managing) [OK]
pEqualizer (10 band equalizer) [MISSING]

# gtkdialog -v
gtkdialog version 0.8.0 (C) 2003-2007 Laszlo Pere, 2011 Thunor

# ffmpeg -version
ffmpeg version git-2011-10-01-78f08c0, Copyright (c) 2000-2011 the FFmpeg developers
built on Oct 2 2011 07:10:53 with gcc 4.3.4

" -------1---------2---------3---------4---------5---------6----
wary 5.1.4.1
pmusic 1.8.3

seems to work ok
playlists seem stable

# pmusic -D
Dependencies
R E Q U I R E D
bash [OK]
gtkdialog [OK]
ffmpeg [OK]
aplay (alsa) [OK]

R E C O M M E N D E D
libid3tag (meta-tagging) [OK]
cdda2wav (play/rip audio-CD) [OK]
wget (connection to www) [OK]

O P T I O N A L
pburn (burning audio-CD) [OK]
pschedule (podcast managing) [OK]

# gtkdialog -v
gtkdialog version 0.7.21 (C) 2003-2007 Laszlo Pere, 2011 Thunor

# ffmpeg -version
FFmpeg version SVN-r25158-snapshot, Copyright (c) 2000-2010 the FFmpeg developers
built on Sep 24 2010 21:49:52 with gcc 4.3.4
Back to top
View user's profile Send private message 
tronkel


Joined: 30 Sep 2005
Posts: 1101
Location: Vienna Austria

PostPosted: Mon 17 Oct 2011, 16:40    Post subject:  

Yep, can confirm problems with CUPS printing as reported by the others. The command:
lpr -p name_of_file

does print as does printing by converting to PDF in LibreOffice and also in Abiword.

Recursively altered permissions in /var/spool to 777.
Moved the /usr/bin/pdftops executable to /usr/lib/cups/filter/pdftops and left a symlink to it in /usr/bin

Also installed the w5 ghostscript package.

_________________
Life is too short to spend it in front of a computer

Last edited by tronkel on Tue 18 Oct 2011, 02:16; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website AIM Address 
bobtron

Joined: 17 Oct 2011
Posts: 30
Location: Illinois-_land--USA--

PostPosted: Mon 17 Oct 2011, 18:19    Post subject: wary 5.2...puppypc 17449 automatic login hangs?  

Greetings g'day wary 5.2 adventurers...evaluating latest 14-Oct-2011 wary 5.2.,I am a puppy "noob-nik"...i downloaded .iso/md5sum-check/burn .iso/(does a burnt cd have same md5sum?)/booted-live and i was in..fiddled around a bit and committed to installing to USB stick...chose 512mb save file...problem i have on first and reboot is "hang up" at screen:

2.6.32 - SMP [i686 ARCH]
puppypc 17449 login root (automatic login)

appears to be stuck in a loop...tried pressing a character and it erased
character. next 1: deleted save file...reboot OK...save to USB stick..512MB save file EXT2 no encrypt....reboot...same trouble...stuck at automatic login screen...next 2: burnt .iso new CD...repeated above..with new usb stick...same trouble..any help or work around ideas for me?...many thanks fellas...great job for such a friendly pup...keep up the fine business work.

running: ACER ASPIRE ONE D255E
-INTEL(R) ATOM(TM) 1.66Ghz, 512KB cache, 250GB-hd
many many TNX all fellas..sorry my spelling bugs, i was not an english
major..hihi
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3964
Location: Kiel,Germany

PostPosted: Mon 17 Oct 2011, 18:40    Post subject:  

Quote:
any help or work around ideas for me?

The X to desktop by xorgwizard-automatic does not check for failures .

xorgwizard-automatic had been introduced here in March 2011.

me and 01micko reported similar behavi[u]or in the racy thread .

For a temporarily solution : try to boot 'puppy pfix=nox'
entered after pressing F2 @puppy boot splash picture (F2,F3 for help) .
This would boot into the normal black'n'white console .
Then type 'xorgwizard' to run the old-fashioned /usr/sbin/xorgwizard , not the new /usr/sbin/xorgwizard-automatic .
Back to top
View user's profile Send private message Visit poster's website 
rjbrewer


Joined: 22 Jan 2008
Posts: 4422
Location: merriam, kansas

PostPosted: Mon 17 Oct 2011, 18:52    Post subject: Re: wary 5.2...puppypc 17449 automatic login hangs?  

bobtron wrote:
Greetings g'day wary 5.2 adventurers...evaluating latest 14-Oct-2011 wary 5.2.,I am a puppy "noob-nik"...i downloaded .iso/md5sum-check/burn .iso/(does a burnt cd have same md5sum?)/booted-live and i was in..fiddled around a bit and committed to installing to USB stick...chose 512mb save file...problem i have on first and reboot is "hang up" at screen:

2.6.32 - SMP [i686 ARCH]
puppypc 17449 login root (automatic login)

appears to be stuck in a loop...tried pressing a character and it erased
character. next 1: deleted save file...reboot OK...save to USB stick..512MB save file EXT2 no encrypt....reboot...same trouble...stuck at automatic login screen...next 2: burnt .iso new CD...repeated above..with new usb stick...same trouble..any help or work around ideas for me?...many thanks fellas...great job for such a friendly pup...keep up the fine business work.

running: ACER ASPIRE ONE D255E
-INTEL(R) ATOM(TM) 1.66Ghz, 512KB cache, 250GB-hd
many many TNX all fellas..sorry my spelling bugs, i was not an english
major..hihi


Another forum member has problems with "smp" on his D255
Aspire netbook.

Here is a link to Wary 5.1.3.4-uni. No smp.

http://distro.ibiblio.org/quirky/test/wary-5.1.3.4/

I've had problems trying to make a bootable usb with 5.2.
The uni version worked fine making usb.

_________________

Inspiron 700m, Pent.M 1.6Ghz, 1Gb ram.
Msi Wind U100, N270 1.6>2.0Ghz, 1.5Gb ram.
Eeepc 8g 701, 900Mhz, 1Gb ram.
Full installs

Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3250
Location: Ontario

PostPosted: Mon 17 Oct 2011, 20:08    Post subject:  

Has anybody been able to get a version of Gimp to work.
I haven't been able to. Crying or Very sad

I've tried Shinobar's versions.

______________________________
Back to top
View user's profile Send private message 
jrb


Joined: 11 Dec 2007
Posts: 1030
Location: Smithers, BC, Canada

PostPosted: Mon 17 Oct 2011, 22:09    Post subject:  

don570 wrote:
Has anybody been able to get a version of Gimp to work.
I haven't been able to. Crying or Very sad

http://distro.ibiblio.org/quirky/pet_packages-wary5/gimp-2.7.1-w5.pet works if you install http://distro.ibiblio.org/quirky/pet_packages-wary5/babl-0.1.2-w5.pet and http://distro.ibiblio.org/quirky/pet_packages-wary5/gegl-0.1.2-w5.pet Very Happy
Back to top
View user's profile Send private message 
XBlackChaosX

Joined: 16 Oct 2011
Posts: 55

PostPosted: Mon 17 Oct 2011, 22:34    Post subject:  

Why doesn't puppy have access to the ubuntu package repo for finding and installing apps? Alot of the apps in the puppy repo are old versions. Any way to do that?
Back to top
View user's profile Send private message 
rjbrewer


Joined: 22 Jan 2008
Posts: 4422
Location: merriam, kansas

PostPosted: Mon 17 Oct 2011, 22:43    Post subject:  

XBlackChaosX wrote:
Why doesn't puppy have access to the ubuntu package repo for finding and installing apps? Alot of the apps in the puppy repo are old versions. Any way to do that?


Lucid is for using Ubuntu apps; not Wary.
Try the Lucid 528 (puppy projects) thread for those answers.

_________________

Inspiron 700m, Pent.M 1.6Ghz, 1Gb ram.
Msi Wind U100, N270 1.6>2.0Ghz, 1.5Gb ram.
Eeepc 8g 701, 900Mhz, 1Gb ram.
Full installs

Back to top
View user's profile Send private message 
XBlackChaosX

Joined: 16 Oct 2011
Posts: 55

PostPosted: Mon 17 Oct 2011, 23:44    Post subject:  

What's the difference between Wary Puppy 5.2 ad Lucid Puppy 5.2.8?
Back to top
View user's profile Send private message 
rjbrewer


Joined: 22 Jan 2008
Posts: 4422
Location: merriam, kansas

PostPosted: Tue 18 Oct 2011, 00:10    Post subject:  

XBlackChaosX wrote:
What's the difference between Wary Puppy 5.2 ad Lucid Puppy 5.2.8?


Wary is a traditional Puppy built by Barry, meant to be
compatible with older hardware. The new (Racy) version is
for high power and high ram machines

Lucid is by Playdayz and 01Micko and built to use Ubuntu
repositories.

Slacko is by 01Micko; based on Lucid, but built to use
Debian (Slackware?) apps.

There are other derivatives always being attempted.

_________________

Inspiron 700m, Pent.M 1.6Ghz, 1Gb ram.
Msi Wind U100, N270 1.6>2.0Ghz, 1.5Gb ram.
Eeepc 8g 701, 900Mhz, 1Gb ram.
Full installs

Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2062
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Tue 18 Oct 2011, 05:05    Post subject: repositories  

Hi

I miss in the first message an info where (url's) we can try to find some non official packages being compatible in supplement of those offered in http://distro.ibiblio.org/quirky/pet_packages-wary5/. I can't complete in the head of this thread as I did not see at time that this thread did start.

KbdVariant option «intl» works good and allows to write correctly a lot of other languages: áàäâãçñń¡¿«»ßś etc (only a small set of them!)

I did test divers *.pet's and *.deb's being yet a long time on my hard disk and find some working well and some refusing to work! but I can't remember where I did download them! and it would probably be without important as the url's of the divers non official depositories are in constant movement somewhere on the web Laughing

my one information to other concerning the compatibility:

refusing to work:

- merkaartor (cartography special program for OpenStreetMaps) Sad
- qemu 9.1 (pls see later under pet's)

seem to work very well:
sfs's:
- LibreOffice-3.4.0_en-GB.sfs
- wine-1.1.42-i486.sfs
- skype_static-2.1.0.81.sfs
pet's:
- qemu-0.91-launchscript-SDL-1.29.pet Very Happy (starts and handles win 95 and it files)
- mtools-3.9.11-i486.pet
- K-Office_400-english.pet (I possibly did had the word «english» into the name! I can't remember any more...); Koffice 3.5 is very small (51 Mb pet > ab. 60 Mb installed if my observation is right; but the used *.pet freeze almost all other new puppy versions incl. «puppy next»! sorry. and in wary, it is not really necessary as abi, gnumeric, mTpaint and InkscapeLite are preinstalled! it would only be useful to complete a event. future «one bone» of wary 5.2!) compared with LibreOffice
- zim-0-23-1.pet
- dd_rescue-1.14.pet
- testdisk-6.11.3.pet
deb's:
- clex CLI file browser
- NtEd music editor
- links2 web and files browser (libx86-1_1.1+ds1-2_i386.deb was not enough and probably not necessary any more; I did install an other version over it); on my PC links2 can be started in wary 5.2 «after exit to prompt» outside Xwindows but the mouse don't works because svgalib needs an installation being a little tricky as very different from /etc/X11/xorg.conf!
- yap (small prolog programming language able to work with the pillow library from the clip software see http://clip.dia.fi.upm.es/Software/; yap is not dependant from ciao prolog but the pillow lib's are included in ciao! *.deb's from ciao are existing but a little tricky to find on the web...)
tar.gz's:
- Seamonkey 2.5 (a lib did be missed; start in konsole and see the error message)

concerning the last one (seamonkey) I did erase it from /usr/lib and install a link to /mnt/home/seamonkey/seamonkey and move it there. so it is really possible to actualize it without to have an unused version in the puppy_wary_5.2.sfs any more (as I did rebuild my puppy_wary_5.2.sfs actually about 250 Mb with all above changes). and in /root/.mozilla, I have also a link to /mnt/home/seamonkey/ . this directory in /mnt/home contains the old directory /root/.mozilla/seamonkey contained initially in /root/.mozilla, a super big directory because of saving there all emails and files from the emails (photos etc.)! it would really be better, puppy would always install this directory outside the little «save file» of puppy (so my «save file» as actually only 31 Mb where the free space is yet 16 Mb!). advantage: the puppy save file can be smart, all versions of puppy on the disc can use the same /mnt/home/seamonkey dir and if a puppy save file crashes the seamonkey setups are not affected! it is possible to do the same with skype files from /root/.skype etc. last word conc. the new version of seamonkey: the dictionaries are not all available on the download page of seamonkey but are yet included in the installations tar.gz's. so if you need more than one dictionary (I need Engl., French and German) you can try to fish them out the other tar.gz of the other language: only download in /root, hit on it and mark the parts «dictionary» and unzip in /mnt/home/seamonkey/seamonkey !

as I need merkaartor, I will try to find a way as don't want to quit wary to use it going to «puppy next 5.0.1», where merkaartor is working very well. if some one knows a way, I would appreciate it!

I search for a dropbox application (the actual official one needs «nautilus»)! If some one knows one, welcome!
toinstall.jpg
 Description   see necessary *.deb in this picture!
 Filesize   276.81 KB
 Viewed   2079 Time(s)

toinstall.jpg

Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1659
Location: wales

PostPosted: Tue 18 Oct 2011, 09:00    Post subject:  

hi oui

i believe this portable dropbox works on wary http://sourceforge.net/projects/portable/files/Dropbox%201.1.43/download

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9034
Location: Stratford, Ontario

PostPosted: Tue 18 Oct 2011, 12:51    Post subject:  

DaveS wrote:
Wary frugal. I get exactly the same error as in Racy when trying to print form anything other than the CUPS test page,
Code:
Set Allowed Users
HP (Default Printer) "/usr/lib/cups/filter/pdftops failed"

The CUPS printing problem in Wary/Racy also appeared in Drake Puppy and the solution is the same. Any application that prints through the GTK print backend /usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so now needs the missing filter /usr/lib/cups/filter/pdftops. Trying to substitute a like-named program from another package simply won't work.

The attachment below contains the correct filter from a different build of CUPS 1.3.11.

You may need to do a CUPS restart to make it work.
Code:
/etc/init.d/cups restart
cups_pdftops_filter-1.3.11.pet
Description 
pet

 Download 
Filename  cups_pdftops_filter-1.3.11.pet 
Filesize  7.05 KB 
Downloaded  512 Time(s) 

Last edited by rcrsn51 on Mon 24 Oct 2011, 17:04; edited 1 time in total
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Tue 18 Oct 2011, 13:11    Post subject:  

rcrsn51 wrote:
DaveS wrote:
Wary frugal. I get exactly the same error as in Racy when trying to print form anything other than the CUPS test page,
Code:
Set Allowed Users
HP (Default Printer) "/usr/lib/cups/filter/pdftops failed"

The CUPS printing problem in Wary/Racy also appeared in Drake Puppy and the solution is the same. Any application that prints through the GTK print backend /usr/lib/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so now needs the missing filter /usr/lib/cups/filter/pdftops. Trying to substitute a like-named program from another package simply won't work.

The attachment below contains the correct filter from a different build of CUPS 1.3.11.


I can confirm this patch works just fine.

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 9 of 25 [361 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 23, 24, 25 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1245s ][ Queries: 13 (0.0093s) ][ GZIP on ]